<template>

    <ul>
        <li v-for="address of addresses"> 
            {{ address.street }} {{ address.city }}
            <button v-if="address.owner.id == auth.user?.id" @click="remove(address)">X</button>
        </li>
    </ul>

</template>

<script setup lang="ts">
import { deleteAddress } from '@/address-service';
import type { Address } from '@/entities';
import { useAuth } from '@/stores/auth';

const auth = useAuth();

defineProps<{
    addresses:Address[]
}>();

const emit = defineEmits<{
    remove: [address:Address]
}>()

async function remove(address:Address) {
    await deleteAddress(address.id);
    emit('remove', address);
}

</script>